/***************************************************************************
 * Copyright (c)  2014  Zephyr Software LLC. All rights reserved.
 *
 * This software is furnished under a license and/or other restrictive
 * terms and may be used and copied only in accordance with such terms
 * and the inclusion of the above copyright notice. This software or
 * any other copies thereof may not be provided or otherwise made
 * available to any other person without the express written consent
 * of an authorized representative of Zephyr Software LCC. Title to,
 * ownership of, and all rights in the software is retained by
 * Zephyr Software LCC.
 *
 * Zephyr Software LLC. Proprietary Information
 *
 * Unless otherwise specified, the information contained in this
 * directory, following this legend, and/or referenced herein is
 * Zephyr Software LLC. (Zephyr) Proprietary Information.
 *
 * CONTACT
 *
 * For technical assistance, contact Zephyr Software LCC. at:
 *
 *
 * Zephyr Software, LLC
 * 2040 Tremont Rd
 * Charlottesville, VA 22911
 *
 * E-mail: jwd@zephyr-software.com
 **************************************************************************/



#ifndef ZIPR_SDK_H
#define ZIPR_SDK_H


// std:: includes.
#include <stdint.h>
#include <set>


// IRDB includes
#include <libIRDB-core.hpp>

// elfio includes
#include "elfio/elfio.hpp"
#include "elfio/elfio_dump.hpp"

// SDK internals
#include <range.h>
#include <dollop.h>
#include <memory_space.h>
#include <zipr_options.h>
#include <zipr_plugin.h>
#include <zipr.h>

extern "C"
Zipr_SDK::ZiprPluginInterface_t* GetPluginInterface(Zipr_SDK::Zipr_t* zipr_main_object);


#endif
